package edu.whs.spin2018.baoapp.model.remote.spieleinstellungen;

/**
 * Interface zum weiterleiten der fuer die Spieleinstellungen spezifischen Events, die über das
 * Nachrichten Event vom Service erhalten werden.
 */
public interface SpieleinstellungenEventListener {

    void onGegnerVerlaesstRaum();

    void onGegnerAendertZeitTyp(String zeittyp);

    void onGegnerAendertMinuten(int minutenIndex);

    void onGegnerAendertSekunden(int sekundenIndex);

    void onGegnerIstBereit(boolean istBereit);
}
